Bug 1268030 - 20 seconds timeout is not sufficient for VPN password entry
20 seconds timeout is not sufficient for VPN password entry
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Lubomir Rintel
Desktop QE
: Regression
Depends On:
Blocks: 1349740
  Show dependency treegraph
 
Reported: 2015-10-01 11:36 EDT by Lubomir Rintel
Modified: 2016-06-24 02:57 EDT (History)
9 users (show)

See Also:
Fixed In Version: NetworkManager-1.0.6-14.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1349740 (view as bug list)
Environment:
Last Closed: 2015-11-19 06:05:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 05:06:58 EST

  None (edit)
Description Lubomir Rintel 2015-10-01 11:36:43 EDT
NetworkManager VPN plugins drop off the bus after 20 seconds of inactivity. That's too short for users with disabilities or complex authentication mechanisms (2FA with a token).

I'm also adding a regression tag, since in RHEL 7.1 the counter was not effective for the first VPN connection attempt.
Comment 3 Thomas Haller 2015-10-01 11:49:59 EDT
(In reply to Lubomir Rintel from comment #1)
> Upstream fix:
> http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?h=nm-1-
> 0&id=f7617511bb94bbae2dbf99231a7d6be29575aa4d

No strong opinion from my side.
LGTM
Comment 4 Dan Williams 2015-10-01 13:31:28 EDT
No objections from me either; this should get handled better upstream in the future but this is an OK fix for now.
Comment 6 Vladimir Benes 2015-10-26 16:31:10 EDT
Dialog is now shown for two minutes. connecting works as expected even after longer period of time.
Comment 7 errata-xmlrpc 2015-11-19 06:05:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html

Note You need to log in before you can comment on or make changes to this bug.